coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: port removed-directory test to FreeBSD


From: Pádraig Brady
Subject: [PATCH] tests: port removed-directory test to FreeBSD
Date: Fri, 17 Sep 2021 00:19:06 +0100

* tests/ls/removed-directory.sh: On FreeBSD 9.1 at least,
one gets ENOENT when trying to traverse the current removed dir
with ../, so instead reference the parent dir directly.
---
 tests/ls/removed-directory.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/ls/removed-directory.sh b/tests/ls/removed-directory.sh
index 5298c49ab..aaabdcf71 100755
--- a/tests/ls/removed-directory.sh
+++ b/tests/ls/removed-directory.sh
@@ -29,7 +29,7 @@ rmdir ../d || skip_ "can't remove working directory on this 
platform"
 # On NFS, 'ls' would run into the error "Stale file handle".
 test -d . || skip_ "can't examine removed working directory on this platform"
 
-ls >../out 2>../err || fail=1
+ls >"$cwd"/out 2>"$cwd"/err || fail=1
 cd "$cwd" || framework_failure_
 
 compare /dev/null out || fail=1
-- 
2.26.2




reply via email to

[Prev in Thread] Current Thread [Next in Thread]